# novaclient.v2.images module

class novaclient.v2.images.GlanceManager(api)

  Bases: `Manager`

  Use glance directly from service catalog.

  This is used to do name to id lookups for images and listing images for the –image-with option to the ‘boot’ command. Do not use it for anything else besides that. You have been warned.

  find_image(name_or_id)

    Find an image by name or id (user provided input).

  find_images(names_or_ids)

    Find multiple images by name or id (user provided input).

    Parameters:

      names_or_ids – A list of strings to use to find images.

    Returns:

      novaclient.v2.images.Image objects for each images found

    Raises:

      - exceptions.NotFound – If one or more images is not found

      - exceptions.ClientException – If the image service returns any unexpected images.

    NOTE: This method always makes two calls to the image service, even if only one image is provided by ID and is returned in the first query.

  list()

    Get a detailed list of all images.

    Return type:

      list of `Image`

  resource_class

    alias of `Image`

class novaclient.v2.images.Image(manager, info, loaded=False, resp=None)

  Bases: `Resource`

  Populate and bind to a manager.

  Parameters:

    - manager – BaseManager object

    - info – dictionary representing resource attributes

    - loaded – prevent lazy-loading if set to True

    - resp – Response or list of Response objects

  HUMAN_ID = True

this page last updated: 2026-04-01 09:32:37

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug